<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>评卷分组修改</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <script type="text/javascript">
        $(document).ready(function () {
            var pictureConfig = '${pictureConfig}';
            window.localStorage.setItem("pictureConfig", pictureConfig);
            $("#number").focus();
            $("#inputForm").validate({
                submitHandler: function (form) {
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function (error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox") || element.is(":radio") || element.parent().is(".input-append")) {
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            var openDouble = "${group.doubleRate}";
            if (openDouble != null && openDouble > 0) {
                $("#openDouble").prop("checked", true);
                $("#openDouble").attr("disabled", "disabled");
                $(".doubleDiv").show();
            } else {
                $("#doubleRate").attr("value", "");
                $("#thirdPolicy").attr("value", "");
                $("#arbitrateThreshold").attr("value", "");
                $(".doubleDiv").hide();
            }

            $("#openDouble").change(function () {
                if ($("#openDouble").is(':checked')) {
                    $(".doubleDiv").show();
                } else {
                    $("#doubleRate").attr("value", "");
                    $("#thirdPolicy").attr("value", "");
                    $("#arbitrateThreshold").attr("value", "");
                    $(".doubleDiv").hide();
                }

            });
        });
    </script>
</head>
<body>
<ul class="nav nav-tabs">
    <li><a href="${ctx}/admin/exam/group?subjectCode=${group.subjectCode}">分组列表</a></li>
    <li><a href="${ctx}/admin/exam/group/edit-simple?subjectCode=${group.subjectCode}&number=${group.number}">简要修改</a>
    </li>
    <li class="active"><a href="##">重置修改</a></li>
</ul>
<br/>
<form:form id="inputForm" modelAttribute="group" action="${ctx}/admin/exam/group/save" method="post"
           class="form-horizontal">
    <tags:message content="${message}"/>
    <form:hidden path="subjectCode"/>
    <input type="hidden" id="rest" name="reset" value="true"/>
    <input type="hidden" id="number" name="number" value="${group.number }"/>
    <input type="hidden" id="questionDetail" name="questionDetail"/>
    <div class="control-group">
        <label class="control-label">分组序号</label>
        <div class="controls">
            <form:input path="number" htmlEscape="false" class="required" readonly="true"/>
        </div>
    </div>
    <div id="questionDiv">
        <c:forEach items="${questionList}" var="question" varStatus="questionStatus">
            <div class="control-group">
                <label class="control-label">大题</label>
                <div class="controls">
                    <input name="mainNumber" type="number" htmlEscape="false" max="100" min="1"
                           class="required digits input-mini" placeholder="大题号" value="${question.mainNumber }"/>
                    <input name="mainTitle" type="text" htmlEscape="false" maxlength="30" class="required"
                           placeholder="名称" value="${question.mainTitle }"/>
                    <input name="subNumber" type="number" htmlEscape="false" max="100" min="1"
                           class="required digits input-small" placeholder="起始小题号" value="${question.subNumber }"/>
                    <input name="scoreList" type="text" htmlEscape="false" maxlength="100" class="required"
                           placeholder="步骤分" value="${question.scoreString }"/>
                    <input type="button" class="btn question-delete <c:if test="${questionStatus.first}">hide</c:if>" onclick="questionDelete(this)" value="删除"/>
                </div>
            </div>
        </c:forEach>
    </div>
    <div class="control-group">
        <div class="controls">
            <input type="button" class="btn" value="增加大题" id="quetion-add">
        </div>
    </div>
    <c:if test="${group.status.value==1}">
        <div class="control-group">
            <label class="control-label">试评数量</label>
            <div class="controls">
                <form:input path="trialCount" htmlEscape="false" min="1" class="required digits" type="number"/>
            </div>
        </div>
    </c:if>
    <div class="control-group">
        <label class="control-label">评卷模式</label>
        <div class="controls">
            <select name="markMode">
                <option value="">不限</option>
                <c:forEach items="${markModeList}" var="item">
                    <option value="${item}"
                            <c:if test="${group.markMode!=null && group.markMode==item}">selected</c:if>>${item.name}</option>
                </c:forEach>
            </select>
        </div>
    </div>
    <c:if test="${examType!='MULTI_MEDIA'}">
        <div class="control-group">
            <label class="control-label">图片显示</label>
            <div class="controls">
                <a href="${ctx}/admin/exam/group/getPictureConfig?subjectCode=${group.subjectCode}&number=${group.number}"
                   target="_blank" class="required" id="configuration">设置</a>
            </div>
        </div>
    </c:if>
    <form:input path="picList" class="required" id="picList" type="hidden"/>
    <div class="control-group">
        <label class="control-label">双评</label>
        <div class="controls">
            <input type="checkbox" id="openDouble">开启
        </div>
    </div>
    <div class="doubleDiv">
        <div class="control-group">
            <label class="control-label">双评比例</label>
            <div class="controls">
                <form:input path="doubleRate" htmlEscape="false" maxlength="100" class="required" type="number"
                            id="doubleRate"/>*比例范围为0-1
            </div>
        </div>
        <div class="control-group">
            <label class="control-label">仲裁阀值</label>
            <div class="controls">
                <form:input path="arbitrateThreshold" htmlEscape="false" maxlength="100" class="required" type="number"
                            id="arbitrateThreshold"/>*阈值为分数且大于等于0
            </div>
        </div>
        <div class="control-group">
            <label class="control-label">合分策略</label>
            <div class="controls">
                <select name="scorePolicy">
                    <c:forEach items="${scorePolicyList}" var="item">
                        <option value="${item.value}"
                                <c:if test="${item.value==group.scorePolicy.value}">selected</c:if> >${item.name}</option>
                    </c:forEach>
                </select>
            </div>
        </div>
        <div class="control-group">
            <label class="control-label">三评规则</label>
            <div class="controls">
                <select name="thirdPolicy">
                    <c:forEach items="${thirdPolicyList}" var="item">
                        <option value="${item.value}"
                                <c:if test="${item.value==group.thirdPolicy.value}">selected</c:if> >${item.name}</option>
                    </c:forEach>
                </select>
            </div>
        </div>
    </div>
    <c:if test="${examType!='MULTI_MEDIA'}">
        <!--<div class="control-group">
        <label class="control-label">原卷显示</label>
        <div class="controls">
        <input name="sheetView" type="checkbox" <c:if test="${group.sheetView}">checked</c:if>/>
        </div>
        </div>
        -->
        <div class="control-group">
            <label class="control-label">启用全零分</label>
            <div class="controls">
                <input name="enableAllZero" type="checkbox" value="1" <c:if test="${group.enableAllZero}">checked</c:if>/>
            </div>
        </div>
    </c:if>
    <div class="control-group">
        <label class="control-label">重要提示</label>
        <div class="controls">
            <span class="label label-important"><h5>保存后分组关联所有评卷任务都将重置</h5></span>
        </div>
    </div>
    <div class="form-actions">
        <a id="btnSubmit" href="##" class="btn btn-primary">保 存</a>&nbsp;
        <a href="${ctx}/admin/exam/group/delete?subjectCode=${group.subjectCode}&number=${group.number}" data-number="${group.number}" class="delete-button btn btn-danger">删除</a>
        <a href="${ctx}/admin/exam/group?subjectCode=${group.subjectCode}&number=${group.number}" class="btn">返回</a>
    </div>
</form:form>
<script type="text/javascript">
    $("#quetion-add").click(function () {
        var dom = $('#questionDiv div:first').clone();
        dom.find('.question-delete').show();
        dom.find("input[type='text'],input[type='number']").val('');
        $("#questionDiv").append(dom);
    });

    function questionDelete(obj) {
        $(obj).parent().parent().remove();
    }

    $('#btnSubmit').click(function () {
    	if($("#arbitrateThreshold").val()<0){
    		alert("仲裁阈值不能小于0");
    		return;
    	}
    	
        var questionDetail = [];
        var fill = true;
        $("#questionDiv div div").each(function () {
            var question = []
            $(this).children("input[type='text'],input[type='number']").each(function () {
                var q = $(this).val();
                if (q == '') {
                    fill = false;
                }
                question.push(q);
            });
            var detail = {
                mainNumber: question[0],
                mainTitle: question[1],
                subNumber: question[2],
                scoreList: question[3].split(",")
            };
            questionDetail.push(detail);
        });
        if (fill) {
            $('#questionDetail').val(JSON.stringify(questionDetail));
            $('#inputForm').submit();
        } else {
            alert('大题不能为空');
        }
    });

    $('.delete-button').click(function () {
        var number = $(this).attr('data-number');
        return confirm('确定要删除第' + number + '分组吗？相关评卷任务与评卷员都将一并删除！');
    });
</script>
</body>
</html>
